SIMATIC Energy Suite Readme

Examples See also History Extra
SIMATIC Energy Suite Readme

This section contains information on the following topics:
  • Security information
  • Data protection
  • What's new in SIMATIC Energy Suite V16?
  • What's new in SIMATIC Energy Suite V15.1?
  • What's new in SIMATIC Energy Suite V14 SP1?
  • Migration of a project from Energy Suite V14 SP1
  • Notes on use


Security information

Data protection
Security information

Siemens provides products and solutions with industrial security functions that support the secure operation of plants, systems, machines and networks.

In order to protect plants, systems, machines and networks against cyber threats, it is necessary to implement – and continuously maintain – a holistic, state-of-the-art industrial security concept. Siemens’ products and solutions only form one element of such a concept.

Customer is responsible to prevent unauthorized access to its plants, systems, machines and networks. Systems, machines and components should only be connected to the enterprise network or the internet if and to the extent necessary and with appropriate security measures (e.g. use of firewalls and network segmentation) in place.

Additionally, Siemens’ guidance on appropriate security measures should be taken into account. For more information about industrial security, please visit.

Siemens’ products and solutions undergo continuous development to make them more secure. Siemens strongly recommends to apply product updates as soon as available and to always use the latest product versions. Use of product versions that are no longer supported, and failure to apply latest updates may increase customer’s exposure to cyber threats.

To stay informed about product updates, subscribe to the Siemens Industrial Security RSS Feed under.


Data protection

Data protection

Siemens observes the principles of data protection, in particular the principle of data minimization (privacy by design). This means for this SIMATIC product, the product does not process / save any personal information.


What's new in SIMATIC Energy Suite V16?

New features in Energy Suite V16 Load management Enhancements
What's new in SIMATIC Energy Suite V16?

New features in Energy Suite V16

All major innovations of Energy Suite V16 are summarized below.

Load management

  • Load management acts as a monitoring and controlling feature in Energy Suite. Load management component ensures that the power and energy consumption does not exceed the user defined limit power or energy value. Load management component contains a key user defined element called as actors.

    Load management program consists of blocks such as the following:

    • Forecast block

    • Control block

    • Actor block

    • Backup/Restore block

    The Forecast block receives its input from the Infeed that is the acquisition object. For example, in a power production plant, the infeed will be the input from the power grid. The Forecast block calculates and forecasts the average power and energy value until the end of an active time period.

    Consider monitoring of a manufacturing plant through load management component. The Forecast block reads the power value of the infeed, and monitors the power consumption. The energy uitilization is constantly monitored against a threshold limit over a certain time period. If the Forecast is exceeding the threshold value, the load Management triggers consumer (actor) or producers to switch off state. This process is termed as escalation. Post the threshold peak, when the power consumption is minimal or within the threshold limit value, the producer (actor) are switched on. This process is termed as de-escalation.

  • Delta generation for load management and acquisition objects is supported, where any newly added or modified acquisition object/ load management actor blocks will be appended to the existing blocks after generation. In case of deletion, only the selected blocks will be deleted after generation without altering the existing blocks.

  • Supports automatic creation of screen rules for Energy Suite blocks.

  • Screen generation

    • Supports automatic screen generation for Energy acquistion program for WinCC Professional, WinCC Runtime Advanced and Comfort devices.

    • Supports automatic screen generation for load management program using WinCC Professional devices.

Enhancements

  • Runtime performance optimizations to improve PLC cycle time usage in long runs of acquisition.

  • RT neutral delta energy program generation for energy acquisition and load management is supported when there are delta changes like addition, modification of acquisition objects or actors of load management.

  • During Energy Suite project configuration, when you add a new Acquisition object table, it is mandatory to download WinCC.

  • While adding acquisition objects into the Acquistion object table, it is mandatory to download WinCC.

  • At Runtime, Load management functionality can be achieved with the PLC version greater or equal to v2.5.

  • To utilize Load management functionality in Runtime, it is mandatory to configure the "Power limit" parameter in both Parameter set 1 and Parameter set 2.


What's new in SIMATIC Energy Suite V15.1?

New features in Energy Suite V15.1 Optimization of the connection of measurement hardware as a source of energy data
What's new in SIMATIC Energy Suite V15.1?

New features in Energy Suite V15.1

All important innovations compared to Energy Suite V15 are summarized here.

Optimization of the connection of measurement hardware as a source of energy data

  • Energy Suite recognizes the following measurement hardware with the integrated interface in STEP 7 (TIA Portal) or with the device master data file configured as an energy data source:

    • ET 200SP AI Energy Meter 480VAC HF

    • Soft starter 3RW55

  • Energy Suite recognizes the configuration of the above-mentioned measurement hardware and automatically creates corresponding blocks during the generation of the energy program.

  • The Energy Suite library contains automatically installed faceplates for visualizing the energy program.

  • An Energy Suite project created in V15.0 with PLC archiving generates a data log file. The same project when opened in V 15.1, TIA portal prompts you to upgrade the project to V15.1. Post upgradation of the project to V15.1, a new data log file is created after regeneration and download.


What's new in SIMATIC Energy Suite V14 SP1?

News for Energy Suite V14 SP1 Generation of the energy program for advanced energy data Automatic creation of reports with the Energy Suite Export Tool Detailed information and feedback on the generation progress Expanding the meta data structure
What's new in SIMATIC Energy Suite V14 SP1?

News for Energy Suite V14 SP1

All important innovations compared to Energy Suite V14 are listed below.

Generation of the energy program for advanced energy data

  • The following new commands for generating the energy program for advanced energy data (e.g. currents, voltages, frequency, etc.) are available in the shortcut menu of the "Energy objects" object in the project tree:

    • Basic energy data

    • Basic and advanced energy data

    • Basic and advanced energy data (with minimum/maximum values)

  • Energy Suite recognizes which energy data the respective measuring hardware can provide and automatically creates the corresponding blocks while generating the energy program.

Additional information is available in the SIMATIC Energy Suite Operating Manual in the section "Generating energy program".

Automatic creation of reports with the Energy Suite Export Tool

  • New automatic generation of reports based on configurable report templates.

  • The following automatic report cycles are available:

    • Daily

    • Weekly

    • Monthly

    • Yearly

  • For fast error analysis, the error messages output in case of unexpected behavior are saved locally under "C:\Program Files (x86)\Siemens\Automation\SCADA-RT_V11\WinCC\bin\config".

Additional information is available in the SIMATIC Energy Suite Operating Manual in the section "Evaluate energy data with Energy Suite Export Tool".

Detailed information and feedback on the generation progress

  • The information and events for generating the energy program are displayed for better transparency of the generation process.

  • You can use the "Go to" function to jump to the position in the configuration that is relevant for the respective event.

Additional information is available in the SIMATIC Energy Suite Operating Manual in the section "Generating energy program".

Expanding the meta data structure

The meta data structure of the energy objects has been expanded for reasons of compatibility and analysis.

Additional information is available in the SIMATIC Energy Suite Operating Manual in the section "Energy Suite blocks".


Migration of a project from Energy Suite V14 SP1

Requirements Procedure
Migration of a project from Energy Suite V14 SP1

To migrate Energy Suite projects of version V14 SP1 to V16, you must manually set the STEP 7 instruction "Get_IM_Data" to the current version. Otherwise you will encounter compilation errors during the compilation process.

Requirements

  • An Energy Suite project of version V14 SP1 is available.

  • TIA Portal V16 with Energy Suite V16 is installed.

Procedure

To avoid a compilation error during migration of an Energy Suite project from V14 SP1 to V16, follow these steps.

  1. Open the project created in Energy Suite V14 SP1 in V16.

    The "Open project" dialog opens.

  2. Click the "Upgrade" button in the "Open project" dialog.

  3. After the project has been migrated successfully, open the configured SIMATIC S7-1500 CPU in the project tree.

  4. Open any block (OB, FB or FC) below the "Program blocks" folder.

  5. In the "Instructions" task card, open the folder "Extended instructions > Diagnostics".

    The "Get_IM_Data" instruction is preset with version "V1.2".

  6. Select the version "V1.3" from the drop-down list.

  7. Then continue generating your energy program.

  8. Below the configured S7-1500 CPU, click on the "Program blocks" object.

  9. Select the "Compile > Software (complete compile)" command in the shortcut menu.

    The energy program is compiled. You can check to see if the compiling has been successfully completed in the Inspector window under "Info > Compile".

To avoid Library version conflict error during migration of Energy Suite projects of V15 and below to V16:

  • For basic instructions "Serialize" and "Deserialize", you must manually upgrade the version from V2.0 to V2.1.

  • For extended instruction "GetSMCinfo", you must manually upgrade the version from V1.0 to V1.1.


Notes on use

Contents Upgrading projects Energy Suite in multiuser project Energy data from measurement hardware Transfer of data to the SCADA system Generating the energy program Energy Suite blocks HMI Tags limit
Notes on use

Contents

The information in this readme has priority over statements made in other documents.

Please read the following notes carefully, as they contain important information on installation and use. Read these notes before you start the installation.

You can also find updated information on Energy Suite in the Siemens Industry Online Support Portal.

Information on operating instructions of the SIMATIC Energy Support Library can be found in the readme "ReadMeEnSLenUS.chm" on the installation medium.

Upgrading projects

An Energy Suite project created in lower versions of V16 with PLC archiving generates a data log file. The data log file scenarios are:

  • When you are upgrading an Energy Suite project generated with version lower than v16 to v16, and downloading the project to PLC without program generation will lead to PLC archiving to be continued in the same data log file.

  • When you are upgrading an Energy Suite project generated with version lower than v16 to v16 with program generation, and downloading the project to PLC will lead to PLC archiving to be performed in new data log file.

  • In case of delta generation, existing DB block numbers change after upgrading projects to v16.

  • When upgrading projects that were generated with an Energy Suite version lower than v15 to v16, you must manually delete the LAcycCOM blocks as soon as the project has been updated and then generate the energy program again.

  • LAcycCom_RequestBuffer DB is available under Ens Program blocks.

  • Projects of version v14 SP1 or v15 when upgraded to v16 with firmware version greater or equal to v2.5, and forecast option enabled in the Acquisition object table with Load management actors configured, upon compilation the Ens_LmgtBackupRestore FB displays compilation error.

  • Projects of version v14 SP1 or v15 when upgraded to v16 with datalog name exceeding 26 characters, generating a program will fail.

Energy Suite in multiuser project

Open a multiuser project only in the server project view, not in the local session.

Energy data from measurement hardware

When configuring the measurement hardware as an energy data source, different data type settings are evaluated depending on the measurement hardware used.

The following table shows the required settings for the supported measurement hardware:

Measurement hardware | Energy data type | Unit | Normalization factor | Overflow value
AI EnergyMeter 480VAC ST | Energy counter value | Wh | 1 | 1.000.000.000.000.000 = 1 * 10^15 (*)
AI EnergyMeter 480VAC HF | Energy counter value | Wh | 1 | 1.000.000.000.000.000 = 1 * 10^15 (*)
SENTRON PAC3200/PAC4200 | Energy counter value | Wh | 1 | 1 * 10^12
SENTRON 3VA (8er ETU) | Energy counter value | Wh | 1 | 4 * 10^12
SINAMICS AC/AC | Power value | W | 1 | -
SIMOCODE pro V PN | Energy counter value | Wh | 1 | 2.147.483.648.000
Motor starter ET 200SP/M200D | Power value | W | 1 | -
Soft starter 3RW44 | Power value | W | 1 | -
Soft starter 3RW55 | Power value | W | 1 | -

(*) Make sure that the energy counter value shows the overflow value both in the Energy Suite settings and in the hardware configuration of the AI EnergyMeter 480VAC ST/HF. You can find the hardware configuration in the Inspector window "Properties" under "Module parameters > AI configuration > Measurement > End value energy meter".

Make sure that the parameter assignment corresponds to the above table

Transfer of data to the SCADA system

If you make changes to the energy program, generate the energy program again and load it to the CPU.

Load the changes to the CPU only if the buffer blocks are empty. When loading to the CPU (complete), the CPU must be restarted afterward. When loading to the CPU (only changes), a reinitialization of the "EnS_BufferWorkDB" data block must be performed. You can find additional information on this in the online help of the TIA Portal information system.

Generating the energy program

Check the following settings if generation of the energy program fails:

  • Energy data source: The following aspects should be configured according to the manual:

    • Hardware configuration of the measurement hardware (see documentation "Measurement Hardware for SIMATIC Energy Suite in the TIA Portal")

    • Data type (see section "Energy data from data blocks")

    • Naming conventions (see section "Performance features and conventions")

  • Archiving period: An archiving period is assigned to each acquisition object.

  • Acquisition object name: Acquisition object cannot have the same name as the following objects

    • Program block

    • Technology object

    • External source

    • PLC tag

    • PLC data type

  • General: The prefixes "EnS_" (except "EnS_EEm_" for S7 Energy Efficiency Monitor), "EnSL_", and "LAcycCom_" are reserved system prefixes and are not used in the names of the objects specified above.

Before regenerating the energy program, make sure that the settings specified above apply.

  • The value range for load management system name supports 1-26 characters.

  • The value range for priority actor supports 0-1999.

For successful compilation of Comfort panel and WinCC Runtime Advanced devices containing energy acquistion data with SiVArc generation:

  • The HMI tags of type LMGT - Internal tags and EnS_Visu need to be manually deleted since these are not supported with WinCC Comfort.

  • You must link the appropriate tags for the pop-up screen objects.

For successful compilation of WinCC Runtime Profesional devices:

  • For successful screen navigations with acquisition object faceplates during runtime, goto project navigation view tree > WinCC RT Professional >Scripts > VB scripts > Acquisition folder > copy openEnergyBasic script ; navigate to acquisition object faceplate > Properties > Events > openEnergyBasic and paste the script.

  • With only energy acquisition program generated in PLC and screens are generated through the option" Start SiVArc generation with station selection dialog", you must manually delete the tag table “LMGT - Internal tags”.

While configuring Energy Suite project:

  • Adding acquisition object table for the first and consecutive times, it is mandatory to download the WinCC.

  • Adding acquisition objects to the Acquisition object table, it is mandatory to download the WinCC.

  • When multiple PLC’s are connected to a common HMI device (WinCC Professional RunTime or WinCC Comfort device) and you generate SiVArc screen for Energy Suite rules, an error is displayed:
    “A screen object with the name ‘EnS_EnergyArchive’ cannot be generated by station ‘PLC_2’ in screen ‘EnS_EnergyArchive’ because a screen object with the same name from station PLC_1 already exits”.

  • For PLC stop and start operations; you have to manually backup the LMGT actors configuration and restore the configuration when PLC is started again. Please call the restore operation at PLC startup OB to restore it when PLC starts.

Energy Suite blocks

EnS_CalcEnergyData: Calculating energy values

Resetting the energy counter value during an active archiving period results in the calculation of negative energy values for this archiving period.

EnSL_DrvBasic_Sina_vx: Acquire basic energy data

Contrary to the information in the documentation "Measurement hardware for SIMATIC Energy Suite in TIA Portal", the error code "W#16#8011" does not exist at the output parameter "status".

HMI Tags limit

In the HMI runtime settings, PLC name is appended with Tag name if "PLC name as prefix in the HMI tag name" checkbox is enabled. After SiVArc screen generation, followed by HMI compilation, an error is displayed if the HMI tag name exceeds 128 characters.

Screens >EnS_WinCCProf_Screen